<template>
  <v-card>
    <v-card-title>
      <span class="text-h5">CI/CD Pipeline Status</span>
    </v-card-title>
    <v-card-text>
      <v-expansion-panels>
        <v-expansion-panel v-for="pipeline in ciCdPipelines" :key="pipeline.id">
          <v-expansion-panel-header>
            <v-row no-gutters>
              <v-col cols="6">
                <v-avatar left>
                  <v-icon :color="getStatusColor(pipeline.status)">mdi-pipe</v-icon>
                </v-avatar>
                {{ pipeline.name }}
              </v-col>
              <v-col cols="6" class="text-right">
                <v-chip :color="getStatusColor(pipeline.status)" dark small>{{ pipeline.status }}</v-chip>
              </v-col>
            </v-row>
          </v-expansion-panel-header>
          <v-expansion-panel-content>
            <v-list>
              <v-list-item v-for="job in pipeline.jobs" :key="job.id">
                <v-list-item-avatar color="grey lighten-3">
                  <v-icon :color="getStatusColor(job.status)">mdi-cog</v-icon>
                </v-list-item-avatar>
                <v-list-item-content>
                  <v-list-item-title>{{ job.name }}</v-list-item-title>
                  <v-list-item-subtitle>{{ job.description }}</v-list-item-subtitle>
                </v-list-item-content>
                <v-list-item-action>
                  <v-progress-linear
                    :value="job.progress"
                    :color="getStatusColor(job.status)"
                    height="20"
                    striped
                    rounded
                  ></v-progress-linear>
                </v-list-item-action>
              </v-list-item>
            </v-list>
          </v-expansion-panel-content>
        </v-expansion-panel>
      </v-expansion-panels>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      ciCdPipelines: [] // Replace with actual data
    };
  },
  methods: {
    getStatusColor(status) {
      switch (status) {
        case 'Success':
          return 'green';
        case 'Running':
          return 'blue';
        case 'Failed':
          return 'red';
        default:
          return 'grey';
      }
    }
  }
};
</script>
